package cn.im.ptxztree.dao;

import cn.base.dao.BaseSqlMapDAO;
import cn.im.ptxztree.model.PtxzsNode;
import org.springframework.stereotype.Repository;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

@Repository("ptxzsDao")
public class PtxzsDao  extends BaseSqlMapDAO{

	
	/**
	 * 增加记录
	 * @param map
	 */
	public void insert_Ptxzs(Map map) throws SQLException{
		this.insert("insert_Ptxzs",map);
	}
	
	/**
	 * 批处理增加记录
	 * @param batch
	 */
	public void batch_insert_Ptxzs(List batch) throws SQLException{
		this.insert("batch_insert_Ptxzs",batch);
	}

	/**
	 * 修改记录
	 * @param map
	 * @return Integer
	 */
	public Integer update_Ptxzs(Map map) throws SQLException{
		return this.update("update_Ptxzs",map);
	}

	/**
	 * 删除记录
	 * @param map
	 * @return Integer
	 */
	public Integer delete_Ptxzs(Map map) throws SQLException{
		return this.delete("delete_Ptxzs",map);
	}
	
	/**
	 * 批处理删除记录
	 * @param map
	 * @return Integer
	 */
	public Integer batch_delete_Ptxzs(Map map) throws SQLException{
		return this.delete("batch_delete_Ptxzs",map);
	}

	
	/**
	 * 查询总数
	 * 
	 * @param map
	 * @return Integer
	 */
	public Integer count_Ptxzs(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ptxzs",map);
	}
	
	/**
	 * 查询列表记录
	 * 
	 * @param map
	 * @return List
	 */
	public List<Map> query_Ptxzs(Map map) throws SQLException{
		return this.queryForPage("query_Ptxzs",map);
	}
	public List<Map> query_PtxzsTree(Map map) throws SQLException{
		return this.queryForList("query_PtxzsTree",map);
	}

	/**
	 * 查询列表记录
	 * 
	 * @param map
	 * @return List
	 */
	public Map get_Ptxzs(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ptxzs",map);
	}
	public List<Map> listPtxzs(Map map) throws SQLException{
		return this.queryForList("queryAllPtxzs",map);
	}



}
